com.rscja.team.mtk.custom

## Class M775Authenticate_mtk

- java.lang.Object
- - com.rscja.deviceapi.UhfBase
  - - com.rscja.team.mtk.deviceapi.RFIDWithUHFUART_mtk
    - - com.rscja.team.mtk.custom.M775Authenticate_mtk

- All Implemented Interfaces:
    IM775Authenticate, IHandheldRFID, ISingleAntenna, IUHF, IUHFOfAndroidUart

      public class M775Authenticate_mtk
      extends RFIDWithUHFUART_mtk
      implements IM775Authenticate

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.rscja.deviceapi.UhfBase

      `UhfBase.ErrorCode`

  - ### Field Summary

    - ### Fields inherited from class com.rscja.team.mtk.deviceapi.RFIDWithUHFUART_mtk

      `TidLength`

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static M775Authenticate_mtk` | `getInstance()`
    `void` | `setInventoryCallback(M775Authenticate.IUHFInventoryCallback inventoryCallback)`
    `boolean` | `setInventoryMessageMode()` 设置读取Message模式(Set Read Message Mode)
    `M775Authenticate.AuthenticateInfo` | `UHFAuthenticate()`
    `M775Authenticate.AuthenticateInfo` | `UHFAuthenticate(int filterBank, int filterAddr, int filterDataLen, java.lang.String filterData)`

    - ### Methods inherited from class com.rscja.team.mtk.deviceapi.RFIDWithUHFUART_mtk

      `blockWriteData, eraseData, eraseData, factoryReset, free, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getErrCode, getFastInventoryMode, getFrequencyMode, getGen2, getHardwareVersion, getInputStatus, getLBTMode, getPower, getProtocol, getRFLink, getTagLocate, getTemperature, getVersion, init, init, inventorySingleTag, inventorySingleTag, isInventorying, isPowerOn, killTag, killTag, lockMem, lockMem, readData, readData, readTagFromBuffer, setConnectionStatusCallback, setCW, setDynamicDistance, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCAndTIDUserMode, setEPCAndUserReservedModeEx, setEPCMode, setFastID, setFastInventoryMode, setFilter, setFreHop, setFrequencyMode, setGen2, setInventoryCallback, setLBTMode, setOnLowBatteryListener, setPower, setPowerOnBySystem, setProtocol, setRFLink, setTagFocus, setUart, startInventoryTag, startInventoryTag, startLocation, startRadarLocation, stopInventory, stopLocation, stopRadarLocation, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfPowerOff_11, uhfPowerOn_11, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

    - ### Methods inherited from class com.rscja.deviceapi.UhfBase

      `readTcpServiceState`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHFOfAndroidUart

      `getErrCode, getHardwareVersion, isPowerOn, setOnLowBatteryListener, setPowerOnBySystem, setUart`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `blockWriteData, eraseData, eraseData, factoryReset, free, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getFastInventoryMode, getFrequencyMode, getGen2, getProtocol, getRFLink, getTemperature, getVersion, init, inventorySingleTag, isInventorying, killTag, killTag, lockMem, lockMem, readData, readData, readTagFromBuffer, setConnectionStatusCallback, setCW, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCAndTIDUserMode, setEPCMode, setFastID, setFastInventoryMode, setFilter, setFreHop, setFrequencyMode, setGen2, setInventoryCallback, setProtocol, setRFLink, setTagFocus, startInventoryTag, stopInventory, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

- - ### Method Detail

    - #### getInstance

          public static M775Authenticate_mtk getInstance()

    - #### UHFAuthenticate

          public M775Authenticate.AuthenticateInfo UHFAuthenticate(int filterBank,
                                                                   int filterAddr,
                                                                   int filterDataLen,
                                                                   java.lang.String filterData)

      Specified by:
        `UHFAuthenticate` in interface `IM775Authenticate`
      Returns:

    - #### UHFAuthenticate

          public M775Authenticate.AuthenticateInfo UHFAuthenticate()

      Specified by:
        `UHFAuthenticate` in interface `IM775Authenticate`

    - #### setInventoryCallback

          public void setInventoryCallback(M775Authenticate.IUHFInventoryCallback inventoryCallback)

      Specified by:
        `setInventoryCallback` in interface `IM775Authenticate`
      Parameters:
        `inventoryCallback` - 盘点回调接口(Inventory callback interface)

    - #### setInventoryMessageMode

          public boolean setInventoryMessageMode()

      Description copied from interface: `IM775Authenticate`
      设置读取Message模式(Set Read Message Mode)
      Specified by:
        `setInventoryMessageMode` in interface `IM775Authenticate`
      Returns:
        true:设置成功 false:设置失败(true means setup success, false means setup failed)